﻿Imports Docs.Html
Imports Docs.Excel
Imports Docs.Excel.Converting

Module Module1

    Sub Main()
        ' Read the specified html file.
        Dim html As HtmlDoc = HtmlDoc.ReadHTML("..\..\..\Capitals.html")

        ' Convert Html table to Excel with formatting preservation
        Dim htmlexcel As New HtmlToExcel()
        htmlexcel.PreserveFormatting = True
        Dim excel As ExcelWorkbook = htmlexcel.Convert(html)

        'Add text and save Excel file as XLSX format.
        excel.WriteXLSX("..\..\..\Export_Html.xlsx")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\Export_Html.xlsx")
    End Sub

End Module
